/* $Id: error.c,v 1.1.1.1 1999/01/30 06:09:06 andrewk Exp $
 ******************************************************************************
 * 
 * piocons - PSX PIO console utility for linux
 * Copyright (C) 1997,1998 by "The PIOCONS Team" (see AUTHORS)
 * All Rights Reserved.
 * 
 ******************************************************************************

	don't use these functions, use the macros
	
	
	errorf (fmt,...);		-> for failures (includes immediate exit)
	warnf (fmt,...);		-> for IMPORTANT warnings, but no exit

 */

#include "error.h"

void error_fail_printf (char* func, char *file, int line, char *msg, ...)
{
	char buf[512];
	va_list ap;

	va_start (ap,msg);
	vsprintf (buf,msg,ap);
	va_end (ap);

	fprintf (stderr, "%s: ERROR; %s", program_name,buf);

	exit (EXIT_FAILURE);
}

void error_warn_printf (char* func, char *file, int line, char *msg, ...)
{
	char buf[512];
	va_list ap;

	va_start (ap,msg);
	vsprintf (buf,msg,ap);
	va_end (ap);

	fprintf (stderr, "%s: WARNING; %s", program_name,buf);
}
